Package com.stardog.stark.vocabs

# Class DCTERMS

java.lang.Object
com.stardog.stark.vocabs.DCTERMS

public final class DCTERMS extends Object

Dublin Core Metadata Terms

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove
See Also:
  - DC terms

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `_abstract`
  `static final IRI`
  `accessRights`
  `static final IRI`
  `accrualMethod`
  `static final IRI`
  `accrualPeriodicity`
  `static final IRI`
  `accrualPolicy`
  `static final IRI`
  `Agent`
  `static final IRI`
  `alternative`
  `static final IRI`
  `audience`
  `static final IRI`
  `available`
  `static final IRI`
  `bibliographicCitation`
  `static final IRI`
  `BibliographicResource`
  `static final IRI`
  `conformsTo`
  `static final IRI`
  `contributor`
  `static final IRI`
  `coverage`
  `static final IRI`
  `created`
  `static final IRI`
  `creator`
  `static final IRI`
  `date`
  `static final IRI`
  `dateAccepted`
  `static final IRI`
  `dateCopyrighted`
  `static final IRI`
  `dateSubmitted`
  `static final IRI`
  `description`
  `static final IRI`
  `educationLevel`
  `static final IRI`
  `extent`
  `static final IRI`
  `FileFormat`
  `static final IRI`
  `format`
  `static final IRI`
  `Frequency`
  `static final IRI`
  `hasFormat`
  `static final IRI`
  `hasPart`
  `static final IRI`
  `hasVersion`
  `static final IRI`
  `identifier`
  `static final IRI`
  `instructionalMethod`
  `static final IRI`
  `isFormatOf`
  `static final IRI`
  `isPartOf`
  `static final IRI`
  `isReferencedBy`
  `static final IRI`
  `isReplacedBy`
  `static final IRI`
  `isRequiredBy`
  `static final IRI`
  `issued`
  `static final IRI`
  `isVersionOf`
  `static final IRI`
  `Jurisdiction`
  `static final IRI`
  `language`
  `static final IRI`
  `license`
  `static final IRI`
  `LicenseDocument`
  `static final IRI`
  `LinguisticSystem`
  `static final IRI`
  `Location`
  `static final IRI`
  `LocationPeriodOrJurisdiction`
  `static final IRI`
  `mediator`
  `static final IRI`
  `MediaType`
  `static final IRI`
  `MediaTypeOrExtent`
  `static final IRI`
  `medium`
  `static final IRI`
  `MethodOfAccrual`
  `static final IRI`
  `MethodOfInstruction`
  `static final IRI`
  `modified`
  `static final String`
  `NAMESPACE`
  `static final IRI`
  `PeriodOfTime`
  `static final IRI`
  `PhysicalMedium`
  `static final IRI`
  `PhysicalResource`
  `static final IRI`
  `Policy`
  `static final IRI`
  `provenance`
  `static final IRI`
  `ProvenanceStatement`
  `static final IRI`
  `publisher`
  `static final IRI`
  `references`
  `static final IRI`
  `relation`
  `static final IRI`
  `replaces`
  `static final IRI`
  `requires`
  `static final IRI`
  `rights`
  `static final IRI`
  `rightsHolder`
  `static final IRI`
  `RightsStatement`
  `static final IRI`
  `SizeOrDuration`
  `static final IRI`
  `source`
  `static final IRI`
  `spatial`
  `static final IRI`
  `Standard`
  `static final IRI`
  `subject`
  `static final IRI`
  `tableOfContents`
  `static final IRI`
  `temporal`
  `static final IRI`
  `title`
  `static final IRI`
  `type`
  `static final IRI`
  `valid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DCTERMS()`
  No instances

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### contributor

    public static final IRI contributor

  - ### coverage

    public static final IRI coverage

  - ### creator

    public static final IRI creator

  - ### date

    public static final IRI date

  - ### description

    public static final IRI description

  - ### format

    public static final IRI format

  - ### identifier

    public static final IRI identifier

  - ### language

    public static final IRI language

  - ### publisher

    public static final IRI publisher

  - ### relation

    public static final IRI relation

  - ### rights

    public static final IRI rights

  - ### source

    public static final IRI source

  - ### subject

    public static final IRI subject

  - ### title

    public static final IRI title

  - ### type

    public static final IRI type

  - ### _abstract

    public static final IRI _abstract

  - ### accessRights

    public static final IRI accessRights

  - ### accrualMethod

    public static final IRI accrualMethod

  - ### accrualPeriodicity

    public static final IRI accrualPeriodicity

  - ### accrualPolicy

    public static final IRI accrualPolicy

  - ### alternative

    public static final IRI alternative

  - ### audience

    public static final IRI audience

  - ### available

    public static final IRI available

  - ### bibliographicCitation

    public static final IRI bibliographicCitation

  - ### conformsTo

    public static final IRI conformsTo

  - ### created

    public static final IRI created

  - ### dateAccepted

    public static final IRI dateAccepted

  - ### dateCopyrighted

    public static final IRI dateCopyrighted

  - ### dateSubmitted

    public static final IRI dateSubmitted

  - ### educationLevel

    public static final IRI educationLevel

  - ### extent

    public static final IRI extent

  - ### hasFormat

    public static final IRI hasFormat

  - ### hasPart

    public static final IRI hasPart

  - ### hasVersion

    public static final IRI hasVersion

  - ### instructionalMethod

    public static final IRI instructionalMethod

  - ### isFormatOf

    public static final IRI isFormatOf

  - ### isPartOf

    public static final IRI isPartOf

  - ### isReferencedBy

    public static final IRI isReferencedBy

  - ### isReplacedBy

    public static final IRI isReplacedBy

  - ### isRequiredBy

    public static final IRI isRequiredBy

  - ### issued

    public static final IRI issued

  - ### isVersionOf

    public static final IRI isVersionOf

  - ### license

    public static final IRI license

  - ### mediator

    public static final IRI mediator

  - ### medium

    public static final IRI medium

  - ### modified

    public static final IRI modified

  - ### provenance

    public static final IRI provenance

  - ### references

    public static final IRI references

  - ### replaces

    public static final IRI replaces

  - ### requires

    public static final IRI requires

  - ### rightsHolder

    public static final IRI rightsHolder

  - ### spatial

    public static final IRI spatial

  - ### tableOfContents

    public static final IRI tableOfContents

  - ### temporal

    public static final IRI temporal

  - ### valid

    public static final IRI valid

  - ### Agent

    public static final IRI Agent

  - ### BibliographicResource

    public static final IRI BibliographicResource

  - ### FileFormat

    public static final IRI FileFormat

  - ### Frequency

    public static final IRI Frequency

  - ### Jurisdiction

    public static final IRI Jurisdiction

  - ### LicenseDocument

    public static final IRI LicenseDocument

  - ### LinguisticSystem

    public static final IRI LinguisticSystem

  - ### Location

    public static final IRI Location

  - ### LocationPeriodOrJurisdiction

    public static final IRI LocationPeriodOrJurisdiction

  - ### MediaType

    public static final IRI MediaType

  - ### MediaTypeOrExtent

    public static final IRI MediaTypeOrExtent

  - ### MethodOfAccrual

    public static final IRI MethodOfAccrual

  - ### MethodOfInstruction

    public static final IRI MethodOfInstruction

  - ### PeriodOfTime

    public static final IRI PeriodOfTime

  - ### PhysicalMedium

    public static final IRI PhysicalMedium

  - ### PhysicalResource

    public static final IRI PhysicalResource

  - ### Policy

    public static final IRI Policy

  - ### ProvenanceStatement

    public static final IRI ProvenanceStatement

  - ### RightsStatement

    public static final IRI RightsStatement

  - ### SizeOrDuration

    public static final IRI SizeOrDuration

  - ### Standard

    public static final IRI Standard

- ## Constructor Details

  - ### DCTERMS

    public DCTERMS()
    No instances